Package ru.bitel.bgbilling.kernel.contract.api.common.bean.customer

# Enum Customer.CustomerFizDocument

java.lang.Object
java.lang.Enum<Customer.CustomerFizDocument>
ru.bitel.bgbilling.kernel.contract.api.common.bean.customer.Customer.CustomerFizDocument

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Customer.CustomerFizDocument>`, `java.lang.constant.Constable`

Enclosing class:
  Customer

    public static enum Customer.CustomerFizDocument
    extends java.lang.Enum<Customer.CustomerFizDocument>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ADDRESS` |
  `CODE` |
  `NUMBER` |
  `PASSPORT_RF` |
  `SERIAL` |
  `WHEN_GIVE` |
  `WHO_GIVE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `description()` |
  `java.lang.String` | `key()` |
  `static Customer.CustomerFizDocument` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Customer.CustomerFizDocument[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PASSPORT_RF

    public static final Customer.CustomerFizDocument PASSPORT_RF

  - ### SERIAL

    public static final Customer.CustomerFizDocument SERIAL

  - ### NUMBER

    public static final Customer.CustomerFizDocument NUMBER

  - ### CODE

    public static final Customer.CustomerFizDocument CODE

  - ### WHO_GIVE

    public static final Customer.CustomerFizDocument WHO_GIVE

  - ### WHEN_GIVE

    public static final Customer.CustomerFizDocument WHEN_GIVE

  - ### ADDRESS

    public static final Customer.CustomerFizDocument ADDRESS

- ## Method Details

  - ### values

    public static Customer.CustomerFizDocument[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Customer.CustomerFizDocument valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### key

    public java.lang.String key()

  - ### description

    public java.lang.String description()